%define url_ver	%(echo %{version} | cut -d. -f1,2)

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel-plugins/.*\\.so

%define gitdate	20120718
%define rel	8

Summary:	Quicklauncher plugin for the Xfce panel
Name:		xfce4-quicklauncher-plugin
Version:	1.9.4
Release:	%mkrel 13.git%{gitdate}.%{rel}
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-quicklauncher-plugin
#
# git clone git://git.xfce.org/panel-plugins/xfce4-quicklauncher-plugin
# cd xfce4-quicklauncher-plugin
# git archive --format=tar --prefix=xfce4-quicklauncher-plugin-20120718/ master | xz > ../xfce4-quicklauncher-plugin-20120718.tar.xz
#
Source0:	%{name}-%{gitdate}.tar.xz
#Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0:         xfce4-quicklauncher-plugin-automake1.13.patch
Patch2:		xfce4-quicklauncher-plugin-1.9.4-parameters.patch
# Originally from PLD Linux,
# rediffed and slightly modified for our needs:
Patch4:		xfce4-quicklauncher-plugin-1.9.4-port-to-libxfce4ui.patch

BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(exo-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
Requires:	xfce4-panel >= 4.4.2

%description
This plugin allows you to have lots of launchers in the panel, displaying 
them on several lines.

%prep
%setup -q -n %{name}-%{gitdate}
%autopatch -p1

%build
NOCONFIGURE=yes xdt-autogen
%configure2_5x
%make

%install
%makeinstall_std 

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog TODO
%{_datadir}/xfce4/panel-plugins/quicklauncher.desktop
%{_libdir}/xfce4/panel-plugins/libquicklauncher.so


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 1.9.4-13.git20120718.8.mga6
+ Revision: 952559
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 1.9.4-13.git20120718.7.mga5
+ Revision: 817454
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 1.9.4-13.git20120718.6.mga5
+ Revision: 747668
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 wally <wally> 1.9.4-13.git20120718.5.mga5
+ Revision: 706911
- exclude plugin .so from provides

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.9.4-13.git20120718.4.mga4
+ Revision: 520654
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.9.4-13.git20120718.3.mga3
+ Revision: 386862
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 1.9.4-13.git20120718.2.mga3
+ Revision: 338193
- add patch to fix build with automake 1.13

* Wed Jul 18 2012 wally <wally> 1.9.4-13.git20120718.1.mga3
+ Revision: 272287
- use latest git snapshot
- drop upstreamed patches
- rediff libxfce4ui patch
- clean .spec a bit

* Tue Jul 17 2012 wally <wally> 1.9.4-12.mga3
+ Revision: 271873
- rename P0 and P1
- port to libxfce4ui (P4 from PLD, slightly modified)
- clean .spec
- import from Mdv


* Tue Apr 17 2012 Crispin Boylan <crisb@mandriva.org> 1.9.4-11mdv2012.0
+ Revision: 791559
- Rebuild

* Mon Apr 09 2012 Crispin Boylan <crisb@mandriva.org> 1.9.4-10
+ Revision: 790055
- Rebuild for xfce 4.10

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.4-9mdv2011.0
+ Revision: 615610
- the mass rebuild of 2010.1 packages

* Sat Nov 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.4-8mdv2010.1
+ Revision: 462489
- Patch2: corrent executable name for xfce setting manager
- Patch3: fix plugin loading (mdvbz #54998)

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 1.9.4-7mdv2010.0
+ Revision: 446107
- rebuild

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.4-6mdv2009.1
+ Revision: 349475
- rebuild for xfce-4.6.0

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.4-5mdv2009.1
+ Revision: 295005
- rebuild for new Xfce4.6 beta1

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 1.9.4-4mdv2009.0
+ Revision: 269792
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.4-3mdv2009.0
+ Revision: 194671
- Patch0: save settings at exit
- Patch1: add missing english translation

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.4-2mdv2008.1
+ Revision: 110129
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- do not package COPYING and INSTALL files
- use upstream name
- new version

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-2mdv2008.0
+ Revision: 30476
- update url
- spec file clean

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.2-1mdv2008.0
+ Revision: 30253
- new version

